Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.header
Class OutBoundHeaders

    java.lang.Object
      java.util.AbstractMap<K,V>
          com.sun.jersey.core.util.KeyComparatorHashMap<java.lang.String,java.util.List<V>>
              com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap<java.lang.Object>
                  com.sun.jersey.core.util.StringKeyObjectValueIgnoreCaseMultivaluedMap
                      com.sun.jersey.core.header.OutBoundHeaders

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<java.lang.Object>>, javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.Object>

    public class OutBoundHeaders

extends StringKeyObjectValueIgnoreCaseMultivaluedMap

Out-bound HTTP headers.

Such HTTP headers will be associated with the out-bound HTTP request on the client-side and the out-bound HTTP response on the server-side.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`OutBoundHeaders()`

Method Summary

Methods inherited from class com.sun.jersey.core.util.StringKeyObjectValueIgnoreCaseMultivaluedMap
`get, getFirst, getFirst`

Methods inherited from class com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap
`add, getFirst, getList, putSingle`

Methods inherited from class com.sun.jersey.core.util.KeyComparatorHashMap
`clear, clone, containsKey, containsValue, entrySet, get, getDEFAULT_INITIAL_CAPACITY, getModCount, isEmpty, put, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, keySet, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### OutBoundHeaders

    public OutBoundHeaders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.